Syndai Docs

Get the full text of a run's plan

GET
/api/v1/external/coding/runs/{coding_run_id}/plan/{plan_sha256}

Returns the full reviewable text and revision number of the run's current or previous plan, addressed by its SHA-256 digest from the run status. Returns 404 when the run has no plan with that digest. Read-only.

Authorization

CustomerApiKey
headerAuthorizationBearer <API Key>

Customer API key sent as a bearer token

Path Parameters

coding_run_id*string
Formatuuid
plan_sha256*string

Query Parameters

customer_id?|null

Response Body

Request fulfilled, document follows

application/json
  1. response
plan_sha256*string
revision*integer
text*string
Example Request
curl -X GET 'https://api.syndai.ai/api/v1/external/coding/runs/497f6eca-6276-4993-bfeb-53cbbbba6f08/plan/string'
Example Response
{  "plan_sha256": "string",  "revision": 0,  "text": "string"}